## ros-iron-rot-conv 1.0.12

=== CMakeLists.txt ===
# Rotations Conversion Library project
cmake_minimum_required(VERSION 3.3)
project(rot_conv)

# Enable C++11
message(STATUS "Enabling C++11")
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
add_compile_options(-Wall -Wextra -Wpedantic)

# Include directories
include_directories(${PROJECT_SOURCE_DIR}/include)

#
# Build libraries
#

# Build a static library
add_library(rotconvstatic STATIC
	src/rot_conv.cpp
	src/rot_conv_extras.cpp
)

# Build a shared library
add_library(rotconvshared SHARED
	src/rot_conv.cpp
	src/rot_conv_extras.cpp
)

#
# Build sample executables
#

# Build the sample target directly with the source files
add_executable(rot_conv_sample_direct
	test/rot_conv_sample.cpp
	src/rot_conv.cpp
	src/rot_conv_extras.cpp
)

# Build the sample target with the static library
add_executable(rot_conv_sample_static
	test/rot_conv_sample.cpp
)
target_link_libraries(rot_conv_sample_static
	rotconvstatic
)

# Build the sample target with the shared library
add_executable(rot_conv_sample_shared
	test/rot_conv_sample.cpp
)
target_link_libraries(rot_conv_sample_shared
	rotconvshared
)

#
# Build unit tests
#

# To enable the building of the unit tests do (in the project source directory):
#   git clone https://github.com/google/googletest googletest
# Then re-run cmake and perform a make and run test_rot_conv.

# Build the unit tests if the google test framework is locally found
if(IS_DIRECTORY ${PROJECT_SOURCE_DIR}/googletest)

	# Import google test directory
	add_subdirectory(googletest)
	enable_testing()
	include_directories(${gtest_SOURCE_DIR}/include ${gtest_SOURCE_DIR})

	# Build and add the required unit test
	add_executable(test_rot_conv
		test/test_rot_conv.cpp
	)
	target_link_libraries(test_rot_conv
		rotconvstatic
		gtest_main
		gtest
	)
	add_test(test_rot_conv test_rot_conv)

endif()

# Find ament_cmake
find_package(ament_cmake REQUIRED)

# Find Eigen3 (See https://github.com/ros2/eigen3_cmake_module/blob/master/README.md for why we need eigen3_cmake_module)
find_package(eigen3_cmake_module REQUIRED)
find_package(Eigen3 REQUIRED)

# Install include directory
install(DIRECTORY include/rot_conv/
        DESTINATION include/${PROJECT_NAME})

# Install shared library
install(TARGETS rotconvshared
        EXPORT export_${PROJECT_NAME}
        ARCHIVE DESTINATION lib
        LIBRARY DESTINATION lib
        RUNTIME DESTINATION bin)

# Link dependencies
ament_target_dependencies(rotconvstatic Eigen3)
ament_target_dependencies(rotconvshared Eigen3)
ament_target_dependencies(rot_conv_sample_direct Eigen3)

ament_export_include_directories(include)
ament_export_libraries(rotconvshared)
ament_export_dependencies(eigen3_cmake_module Eigen3)
ament_package()

# EOF

=== debian/changelog ===
ros-iron-rot-conv (1.0.12-2jammy) jammy; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- ijnek <kenjibrameld@gmail.com>  Thu, 27 Apr 2023 00:52:06 -0000

=== debian/control ===
Source: ros-iron-rot-conv
Section: misc
Priority: optional
Maintainer: ijnek <kenjibrameld@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-iron-ament-cmake, ros-iron-eigen3-cmake-module, ros-iron-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-iron-rot-conv
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, ros-iron-eigen3-cmake-module, ros-iron-ros-workspace
Description: A collection of functions that address common computations and numerical handling of rotations in 3D Euclidean space

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/iron/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/iron" \
		-DAMENT_PREFIX_PATH="/opt/ros/iron" \
		-DCMAKE_PREFIX_PATH="/opt/ros/iron" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-iron-rot-conv//opt/ros/iron/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_install
